PHP ��U
前一頁 |  | 下一頁

# ps_stringwidth

(PECL)

ps_stringwidth -- Gets width of a string

## Description

float ps_stringwidth ( resource psdoc, string text [, int fontid [, float size]] )

Calculates the width of a string in points if it was output in the given font and font size. This function needs an Adobe font metrics file to calculate the precise width. If kerning is turned on, it will be taken into account.

## Parameters

psdoc

  Resource identifier of the postscript file as returned by ps_new().

text

  The text for which the width is to be calculated.

fontid

  The identifier of the font to be used. If not font is specified the current font will be used.

size

  The size of the font. If no size is specified the current size is used.

## Return Values

Width of a string in points.

## �Ѧ�

ps_string_geometry()

前一頁 | 內容 | 下一頁
ps_string_geometry | 上一層 | ps_stroke